<?php

namespace Litecms\Information\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litecms\Information\Interfaces\InformationRepositoryInterface;

class InformationPublicController extends BaseController
{
    // use InformationWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litecms\Information\Interfaces\InformationRepositoryInterface $information
     *
     * @return type
     */
    public function __construct(InformationRepositoryInterface $information)
    {
        $this->repository = $information;
        parent::__construct();
    }

    /**
     * Show information's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $information = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('$information::information.names'))
            ->view('information::information.index')
            ->data(compact('information'))
            ->output();
    }


    /**
     * Show information.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $information = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($$information->name . trans('information::information.name'))
            ->view('information::information.show')
            ->data(compact('information'))
            ->output();
    }

}
