<?php

namespace Litecms\Information;

use User;

class Information
{
    /**
     * $information object.
     */
    protected $information;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Information\Interfaces\InformationRepositoryInterface $information)
    {
        $this->information = $information;
    }

    /**
     * Returns count of information.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.information.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->information->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\InformationUserCriteria());
        }

        $information = $this->information->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('information::' . $view, compact('information'))->render();
    }
}
