<?php

namespace Litecms\Information\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class InformationTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Information\Models\Information $information)
    {
        return [
            'id'                => $information->getRouteKey(),
            'key'               => [
                'public'    => $information->getPublicKey(),
                'route'     => $information->getRouteKey(),
            ], 
            'id'                => $information->id,
            'title'             => $information->title,
            'description'       => $information->description,
            'url'               => [
                'public'    => trans_url('information/'.$information->getPublicKey()),
                'user'      => guard_url('information/information/'.$information->getRouteKey()),
            ], 
            'status'            => trans('app.'.$information->status),
            'created_at'        => format_date($information->created_at),
            'updated_at'        => format_date($information->updated_at),
        ];
    }
}